/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.entity;


import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 领用管理Entity
 * @author chenyuping
 * @version 2018-07-16
 */
public class WorkItemCollar extends ActEntity<WorkItemCollar> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 领用部门
	private String companyId;		// 所属公司
	private String number;		// 领用编号
	private String leader;		// 领用人
	private Date collarDate;		// 领用日期
	private String collarFor;		// 领用事由
	private String processInstanceId;		// 流程实例ID
	private String state;		// 申请状态
	private Date beginDate;		// 开始 领用日期
    private String userName;
    private String home;

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
	@ExcelField(title="领用人", align=2, sort=3)
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	private String officeName;

	private Date endDate;		// 结束 领用日期
	private User user;
	private List<WorkItemCollarCatalog> workItemCollarCatalogList;
	private List<WorkItemCollarItem> workItemCollarItemList;

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	public List<WorkItemCollarCatalog> getWorkItemCollarCatalogList() {
		return workItemCollarCatalogList;
	}

	public void setWorkItemCollarCatalogList(List<WorkItemCollarCatalog> workItemCollarCatalogList) {
		this.workItemCollarCatalogList = workItemCollarCatalogList;
	}

	public List<WorkItemCollarItem> getWorkItemCollarItemList() {
		return workItemCollarItemList;
	}

	public void setWorkItemCollarItemList(List<WorkItemCollarItem> workItemCollarItemList) {
		this.workItemCollarItemList = workItemCollarItemList;
	}

	public WorkItemCollar() {
		super();
	}

	public WorkItemCollar(String id){
		super(id);
	}


	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="领用编号", align=2, sort=1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	

	public String getLeader() {
		return leader;
	}

	public void setLeader(String leader) {
		this.leader = leader;
	}
	
	@ExcelField(title="领用日期", align=2, sort=2)
	public Date getCollarDate() {
		return collarDate;
	}

	public void setCollarDate(Date collarDate) {
		this.collarDate = collarDate;
	}

	@ExcelField(title="领用事由", align=2, sort=4)
	public String getCollarFor() {
		return collarFor;
	}

	public void setCollarFor(String collarFor) {
		this.collarFor = collarFor;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="申请状态", align=2, sort=5,dictType = "audit_state")
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
}